%define upstream_name    Linux-DesktopFiles
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Get and parse the Linux desktop files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The 'Linux::DesktopFiles', a very fast and simple way to parse the Linux
desktop files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.250.0-4.mga9
+ Revision: 1809577
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.250.0-3.mga8
+ Revision: 1504972
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.250.0-2.mga7
+ Revision: 1284501
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 0.250.0-1.mga7
+ Revision: 1173405
- update to 0.25

* Tue Oct 03 2017 tv <tv> 0.210.0-2.mga7
+ Revision: 1165210
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.210.0-1.mga7
+ Revision: 1159775
- update to 0.21

* Sun Aug 20 2017 shlomif <shlomif> 0.130.0-1.mga7
+ Revision: 1142460
- imported package perl-Linux-DesktopFiles


* Sun Aug 20 2017 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
